Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.javascript
Class ObjToIntMap.Iterator

    java.lang.Object
      org.mozilla.javascript.ObjToIntMap.Iterator

Enclosing class:
  ObjToIntMap

    public static class ObjToIntMap.Iterator

extends java.lang.Object

Method Summary
`boolean` | `done()`
`java.lang.Object` | `getKey()`
`int` | `getValue()`
`void` | `next()`
`void` | `setValue(int value)`
`void` | `start()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### start

    public void start()

### done

    public boolean done()

### next

    public void next()

### getKey

    public java.lang.Object getKey()

### getValue

    public int getValue()

### setValue

    public void setValue(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD